Subject: Re: rm -R reports "circular reference"
From: [email-masked] (Larry Hall)

19 Mar 1998 13:35:27 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: [email-masked] (raf), [email-masked]

At 06:26 PM 3/16/98 +1100, raf wrote:
>Weiqi Gao wrote:
>>I encountered an error while trying to "rm -R" a directory tree.  rm
>>reports "circular reference" in the directory structure.
>
>>I seem to remember seeing such errors being discussed, but couldn't find
>>the details of when such error would occur.
>
>>BTW.  The directory tree I tried to delete was the one created by "MS
>>Media Manager" from the MS Visual Studio 97 Enterprise Edition.
>
>is is on a FAT filesystem?
>i think filesystem corruption
>is one of its specialities :)
>
>seriously though, can't help here
>except to say your filesystem may
>be corrupt and need repair.
>
>
>raf
>

Not to be harsh but I think you are wrong.  This is, I believe, the old
non-unique inode problem in cygwin.  I expect there is little wrong with
the filesystem and allot wrong with the inode generation algorithm in 
cygwinb19.dll.  This problem manifests itself that way.

Larry Hall                              [email-masked]
RFK Partners, Inc.                      (781) 239-1053
8 Grove Street                          (781) 239-1655 - FAX
Wellesley, MA  02181                    http://www.rfk.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".